Delete Routes

  • DEL
  • /workspaces
  • /:workspace
  • /distributions
  • /:distribution_id
  • /routes
  • /:route_id

Delete a route

Request

REQUIRED SCOPES
DISTRIBUTION_MANAGE
URL PARAMETERS
workspacerequiredstring
The human-readable ID of the workspace

Example: "my-company"

distribution_idrequiredstring
The ID of the distribution

Example: "nZrnl40Y"

route_idrequiredinteger
The ID of the route
GET PARAMETERS
project_namestring
Project name to filter distributions

Example: "my-project"

environment_idstring
Environment ID to filter distributions

Example: "3a4KbBQl"

Last modified on Jun 29, 2026

Request example

CURL
curl -X DELETE "https://api.buddy.works/workspaces/:workspace/distributions/:distribution_id/routes/:route_id" \ -H "Authorization: Bearer <YOUR-TOKEN>" \ -H "Content-Type: application/json"
STATUS
204 Route deleted successfully